package com.izouma.awesomeadmin.dao;

import com.izouma.awesomeadmin.model.SysMenu;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * sys_menu Dao接口
 * Tue Apr 10 18:09:44 CST 2018  Suo Chen Cheng
 */ 
@Repository("com.zoumaframe.dao.SysMenuMapper")
public interface SysMenuMapper {

	int deleteByPrimaryKey(Integer id);

	int insertSelective(SysMenu record);

	SysMenu selectByPrimaryKey(Integer id);

	List<SysMenu> selectByPrimaryKeys(String ids);

	int updateByPrimaryKeySelective(SysMenu record);

	List<SysMenu> queryAllSysMenu(SysMenu record);

	List<SysMenu> querySysMenusByPage(Map<String, Object> parameter);

	int delete(String id);

	SysMenu querySysMenu(SysMenu record);
}

